<div class="component-correct-width" id="container-to-print">
  <div class="header" fxLayout="row">
    <div fxLayout="column" fxLayoutAlign="center start" fxFlex="50%">
      <h3>{{dailySummary?.date | date: 'EEEE d MMMM y'}} </h3>
      <p><strong>Order Summary</strong></p>
    </div>
    <div fxLayout="column" fxFlex="50%" fxLayoutAlign="center end" >
      <div fxLayout="row" fxLayoutAlign="end center">
        <div class="no-print">
        <button routerLink="/chef/orders" md-raised-button color="accent">
          Back to orders
        </button>
        <button md-raised-button color="accent" (click)="print()">
          Print Page
        </button>
        </div>
      </div>
    </div>
  </div>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div *ngIf="!loading">
    <md-card-content>
      <div class="container" fxLayout="column">
        <div class="header" fxLayout="row">
          <div fxLayout="column" fxFlex="25%">
            <h4>Main dishes</h4>
          </div>
          <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
            <h4>Qty</h4>
          </div>
          <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
            <h4>Price</h4>
          </div>
          <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
            <h4>Total</h4>
          </div>
        </div>
        <div *ngFor="let ofl of dailySummary?.orderedFoodList">
          <div fxLayout="row" *ngIf="ofl.foods.foodType=='Main dish'">
            <div fxLayout="column" fxFlex="25%">
              <p class="food">{{ofl.foods.foodName}}</p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="quantity">{{ofl.quantity}}</p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.foods.price}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.quantity*ofl.foods.price}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
          </div>
        </div>
        <div class="header" fxLayout="row">
          <div fxLayout="column" fxFlex="25%">
            <h4>Salads</h4>
          </div>
        </div>
        <div *ngFor="let ofl of dailySummary?.orderedFoodList">
          <div fxLayout="row" *ngIf="ofl.foods.foodType=='Salad'">
            <div fxLayout="column" fxFlex="25%">
              <p class="food">{{ofl.foods.foodName}}</p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="quantity">{{ofl.quantity}}</p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.foods.price}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.quantity*ofl.foods.price}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
          </div>
        </div>
        <div class="header" fxLayout="row">
          <div fxLayout="column" fxFlex="25%">
            <h4>Drinks</h4>
          </div>
        </div>
        <div *ngFor="let ofl of dailySummary?.orderedFoodList">
          <div fxLayout="row" *ngIf="ofl.foods.foodType=='Drink'">
            <div fxLayout="column" fxFlex="25%">
              <p class="food">
                {{ofl.foods.foodName}}
              </p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="quantity">
                {{ofl.quantity}}
              </p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.foods.price}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
            <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
              <p class="food">
                {{ofl.quantity*ofl.foods.price}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
              </p>
            </div>
          </div>
        </div>
        <div fxLayout="row">
          <div fxLayout="column" fxFlex="75%">
          </div>
          <div fxLayout="column" fxFlex="25%" fxLayoutAlign="center center">
            <h5>Total: {{totalPrice}} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h5>
          </div>
        </div>
      </div>
    </md-card-content>
    <br>
    <br>
    <md-card-content>
      <div class="container" fxLayout="column">
        <div fxLayout="row" class="header">
          <div fxLayout="column" fxFlex="30%">
            <h4>Name</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="15%">
            <h4>Meal</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="5%">
            <h4>Qty</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="15%">
            <h4>Salad</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="5%">
            <h4>Qty</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="15%">
            <h4>Drink</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="5%">
            <h4>Qty</h4>
          </div>
          <div fxLayout="column" fxLayoutAlign="center center" fxFlex="10%">
            <h4>Total</h4>
          </div>
        </div>
        <div *ngFor="let user of dailySummary?.userList; let idx = index">
          <app-userorder [dailyUserSummary]="user" [totalPr]="totalPriceUser[idx]"></app-userorder>
        </div>
      </div>
    </md-card-content>
  </div>
</div>
